#uses "fwNetMonitor/fwNetMonitor.ctl"

/** This script is to filter and update SPECTRUM messages continuously
  * This happens by executing the callback everytime fwNetMonitorParameterization.spectrumInput changes
  * The changes of fwNetMonitorParameterization.spectrumInput are done via an API. 
  * NetMonitor (PVSS part) does not update this dpe, nor are we responsible/interested in why/where/how it is updated. 
*/
main()
{
  dyn_errClass err; 
  
  dpConnect("fwNetMonitor_analyseMessageCB", "fwNetMonitorParameterization.spectrumInput");
  
  err = getLastError();
  if(dynlen(err) > 0) 
  { 
    DebugN("fwNetMonitorSPECTRUM.ctl: An error has occurred:", err); 
  }
}
